# VectorNav C++ Library: vn::ApiVersion Class Reference

vn::ApiVersion Class Reference

Class for version information about the VectorNav library. More...

`#include <utilities.h>`

## Static Public Member Functions

static int | major ()
| Returns the major version of the VectorNav library. More...
static int | minor ()
| Returns the minor version of the VectorNav library. More...
static int | patch ()
| Returns the patch version of the VectorNav library. More...
static int | revision ()
| Returns the revision version of the VectorNav library. More...
static std::string | getVersion ()
| Returns the full version of the VectorNav library. More...

## Detailed Description

Class for version information about the VectorNav library.

## Member Function Documentation

static std::string vn::ApiVersion::getVersion | ( |  | ) |

static

Returns the full version of the VectorNav library.

Returns
  The library's version in a string format.

static int vn::ApiVersion::major | ( |  | ) |

static

Returns the major version of the VectorNav library.

Returns
  The major version.

static int vn::ApiVersion::minor | ( |  | ) |

static

Returns the minor version of the VectorNav library.

Returns
  The minor version

static int vn::ApiVersion::patch | ( |  | ) |

static

Returns the patch version of the VectorNav library.

Returns
  The patch version.

static int vn::ApiVersion::revision | ( |  | ) |

static

Returns the revision version of the VectorNav library.

Returns
  The revision version.

The documentation for this class was generated from the following file:

- include/vn/utilities.h